# Home Panel

[![Github Actions][github-actions-shield]][github-actions]

[![GitHub Release][releases-shield]][releases]
![Project Stage][project-stage-shield]
[![License][license-shield]](LICENSE.md)

[![GitHub Activity][commits-shield]][commits]
![Project Maintenance][maintenance-shield]

[![Docker Version][version-shield]][microbadger]
[![Docker Pulls][pulls-shield]][dockerhub]

![Supports armhf Architecture][armhf-shield]
![Supports aarch64 Architecture][aarch64-shield]
![Supports amd64 Architecture][amd64-shield]
![Supports i386 Architecture][i386-shield]

[![Buy me a coffee][buymeacoffee-shield]][buymeacoffee]

[![Sponsor Timmo][sponsor-badge]][sponsor]

A web frontend for controlling the home. Integrates with
[Home Assistant][hass] as an additional frontend.

![banner][banner]

## Features

- Supports [Home Assistant][hass] entities, cameras, news feeds, iframes and
 more.
- Made for touch screens and desktops with a sideways scrolling Material Design
 interface.
- Fully customizable interface.
- Custom theme support.
- Full in application configuration UI.

## Documentation / Setup

Setup and configuration for the app is available [here][setup-docs]

## Links

[Support / Discussion][forum]

[Code of Conduct][code-of-conduct]

[Contribution Guidelines][contributing]

[License][license]

## Screenshots

![Main Screen Screenshot][screen-main]

![Configuration Screenshot][screen-configuration-main]

![Showcase Purple Space][showcase-purple-space]

[aarch64-shield]: https://img.shields.io/badge/aarch64-yes-green.svg
[amd64-shield]: https://img.shields.io/badge/amd64-yes-green.svg
[armhf-shield]: https://img.shields.io/badge/armhf-yes-green.svg
[banner]: https://raw.githubusercontent.com/timmo001/home-panel/master/documentation/resources/banner.png
[buymeacoffee-shield]: https://www.buymeacoffee.com/assets/img/guidelines/download-assets-sm-2.svg
[buymeacoffee]: https://www.buymeacoffee.com/timmo
[code-of-conduct]: https://github.com/timmo001/home-panel/blob/master/.github/CODE_OF_CONDUCT.md
[commits-shield]: https://img.shields.io/github/commit-activity/y/timmo001/home-panel.svg
[commits]: https://github.com/timmo001/home-panel/commits/master
[contributing]: https://github.com/timmo001/home-panel/blob/master/.github/CONTRIBUTING.md
[demo-app]: https://home-panel-demo.timmo.xyz/
[dockerhub]: https://hub.docker.com/r/timmo001/home-panel
[forum-shield]: https://img.shields.io/badge/community-forum-brightgreen.svg
[forum]: https://community.home-assistant.io/t/home-panel-a-touch-compatible-webapp-for-controlling-the-home/62597?u=timmo001
[github-actions-shield]: https://github.com/timmo001/home-panel/workflows/CI/badge.svg
[github-actions]: https://github.com/timmo001/home-panel/actions
[hass]: https://www.home-assistant.io/
[i386-shield]: https://img.shields.io/badge/i386-yes-green.svg
[license-shield]: https://img.shields.io/github/license/timmo001/home-panel.svg
[license]: https://github.com/timmo001/home-panel/blob/master/LICENSE.md
[maintenance-shield]: https://img.shields.io/maintenance/yes/2021.svg
[microbadger]: https://microbadger.com/images/timmo001/home-panel
[project-stage-shield]: https://img.shields.io/badge/project%20stage-beta-green.svg
[pulls-shield]: https://img.shields.io/docker/pulls/timmo001/home-panel.svg
[releases-shield]: https://img.shields.io/github/release/timmo001/home-panel.svg
[releases]: https://github.com/timmo001/home-panel/releases
[screen-configuration-main]: https://raw.githubusercontent.com/timmo001/home-panel/master/documentation/resources/screen-configuration-main.png
[screen-main]: https://raw.githubusercontent.com/timmo001/home-panel/master/documentation/resources/screen-main.png
[setup-docs]: https://home-panel-docs.timmo.dev/setup/
[showcase-purple-space]: https://raw.githubusercontent.com/timmo001/home-panel/master/documentation/docs/showcase/timmo/purple-space.png
[sponsor-badge]: https://raw.githubusercontent.com/timmo001/home-panel/master/documentation/resources/sponsor.png
[sponsor]: https://github.com/sponsors/timmo001?o=esc
[version-shield]: https://images.microbadger.com/badges/version/timmo001/home-panel.svg
